Show / Hide Table of Contents

# Class ImGuiExtensions

Class containing various extensions to ImGui, aiding with building custom widgets.

##### Inheritance

System.Object
ImGuiExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface

###### Assembly: Dalamud.dll

##### Syntax

    public static class ImGuiExtensions

### Methods

| Improve this Doc View Source

#### AddText(ImDrawListPtr, ImFontPtr, Single, Vector2, UInt32, String, ref Vector4)

Add text to a draw list.

##### Declaration

    public static void AddText(this ImDrawListPtr drawListPtr, ImFontPtr font, float fontSize, Vector2 pos, uint col, string textBegin, ref Vector4 cpuFineClipRect)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListPtr | drawListPtr | Pointer to the draw list.
ImFontPtr | font | Font to use.
System.Single | fontSize | Font size.
System.Numerics.Vector2 | pos | Position to draw at.
System.UInt32 | col | Color to use.
System.String | textBegin | Text to draw.
System.Numerics.Vector4 | cpuFineClipRect | Clip rect to use.

| Improve this Doc View Source

#### AddTextClippedEx(ImDrawListPtr, Vector2, Vector2, String, Nullable<Vector2>, Vector2, Nullable<Vector4>)

Draw clipped text.

##### Declaration

    public static void AddTextClippedEx(this ImDrawListPtr drawListPtr, Vector2 posMin, Vector2 posMax, string text, Vector2? textSizeIfKnown, Vector2 align, Vector4? clipRect)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawListPtr | drawListPtr | Pointer to the draw list.
System.Numerics.Vector2 | posMin | Minimum position.
System.Numerics.Vector2 | posMax | Maximum position.
System.String | text | Text to draw.
System.Nullable<System.Numerics.Vector2> | textSizeIfKnown | Size of the text, if known.
System.Numerics.Vector2 | align | Alignment.
System.Nullable<System.Numerics.Vector4> | clipRect | Clip rect to use.